Clamav в ALtLinux 2.4 (Не соберет ли кто новый?)

Модератор: Skull

LSN
Сообщения: 161

Clamav в ALtLinux 2.4

Сообщение LSN » 20.10.2004 08:27

Доброго всем дня
Недавно вышел Clamav 0.8. А в мастере 2.4 он где-то 0.7 с копейками.
Не соберет ли кто rpm пакет нового Clamav для мастера 2.4? Я в этом не силен, а из исходников ставить не хочется.
Спасибо
Debian Sarge, Windows XP SP2
Спасибо сказали:

Аватара пользователя
Bolverk
Бывший модератор
Сообщения: 1571
ОС: Cygwin

Re: Clamav в ALtLinux 2.4

Сообщение Bolverk » 20.10.2004 11:19

Подожди когда src.rpm появится в Сизифусе и пересобери, если уж так хочется.
Спасибо сказали:

LSN
Сообщения: 161

Re: Clamav в ALtLinux 2.4

Сообщение LSN » 20.10.2004 12:05

В том-то и беда. Когда появятся src не ясно. А сервак свежий мне ставить срочно нужно.
Debian Sarge, Windows XP SP2
Спасибо сказали:

Аватара пользователя
Bolverk
Бывший модератор
Сообщения: 1571
ОС: Cygwin

Re: Clamav в ALtLinux 2.4

Сообщение Bolverk » 20.10.2004 18:49

На 99% уверен, что нет веских причин для использования именно версии 0.8 на этом серваке.
P.S. Поройся в мандраковском cooker, редхатовском rawhide, но будь готов к возможным косякам.
P.P.S. Кстати в Сизифе он 0.8-rcсколько-то, так что может и оно сойдет.
Спасибо сказали:

LSN
Сообщения: 161

Re: Clamav в ALtLinux 2.4

Сообщение LSN » 21.10.2004 08:05

А это тогда как понимать?
-------------------------------------
ClamAV update process started at Thu Oct 21 07:16:00 2004
main.cvd is up to date (version: 27, sigs: 23982, f-level: 2, builder: tomek)
daily.cvd updated (version: 544, sigs: 1492, f-level: 3, builder: acab)
WARNING: Your ClamAV installation is OUTDATED - please update immediately !
WARNING: Current functionality level = 2, required = 3
Database updated (25474 signatures) from database.clamav.net.
-------------------------------------
Я думаю, что когда сам антивир заявляет о необходимости апдейта бинарника, то смысл есть
Debian Sarge, Windows XP SP2
Спасибо сказали:

Аватара пользователя
Bolverk
Бывший модератор
Сообщения: 1571
ОС: Cygwin

Re: Clamav в ALtLinux 2.4

Сообщение Bolverk » 21.10.2004 12:43

(LSN @ Четверг, 21 Октября 2004, 6:05) писал(а):Я думаю, что когда сам антивир заявляет о необходимости апдейта бинарника, то смысл есть


Да, похоже. Ты попал в оставшийся 1% :D
А какая у тебя версия сейчас? Повторяю - в сизифе лежит какой-то 0.8-rc, раз не обновляют, то наверное последний, рабочий.
Спасибо сказали:

Аватара пользователя
crez
Сообщения: 128

Re: Clamav в ALtLinux 2.4

Сообщение crez » 26.10.2004 09:59

(LSN @ {Thursday}, 21 {October} 2004, 8:05) писал(а):А это тогда как понимать?
-------------------------------------
ClamAV update process started at Thu Oct 21 07:16:00 2004
main.cvd is up to date (version: 27, sigs: 23982, f-level: 2, builder: tomek)
daily.cvd updated (version: 544, sigs: 1492, f-level: 3, builder: acab)
WARNING: Your ClamAV installation is OUTDATED - please update immediately !
WARNING: Current functionality level = 2, required = 3
Database updated (25474 signatures) from database.clamav.net.
-------------------------------------
Я думаю, что когда сам антивир заявляет о необходимости апдейта бинарника, то смысл есть

Да, ничего страшного в этом нет - просто он сообщает, что вышла новая версия clamav. Об этом написано в clamav faq.
Собственно, и обновить-то какая проблема? Скачать новый и сделать:

Код: Выделить всё

#./configure
#make
#make install

Правда возникает определенная сложность в configure добавить --exec-prefix=/куда/его/установить, чтоб не клонировать ;) :rolleyes:
Сами мы не местные...
Спасибо сказали:

LSN
Сообщения: 161

Re: Clamav в ALtLinux 2.4

Сообщение LSN » 26.10.2004 13:57

Сотворить нижеследующее
#./configure
#make
#make install
я могу и уже давно.
Проблема в том, что не хотелось засорять rmp-ный дистр подобными вещами.
В принципе, уже взял из Сизифа rc4. Вроде работает.
Debian Sarge, Windows XP SP2
Спасибо сказали:

Аватара пользователя
Bolverk
Бывший модератор
Сообщения: 1571
ОС: Cygwin

Re: Clamav в ALtLinux 2.4

Сообщение Bolverk » 26.10.2004 14:04

(LSN @ {Tuesday}, 26 {October} 2004, 11:57) писал(а):Проблема в том, что не хотелось засорять rpm-ный дистр подобными вещами.

Я вот все жду когда подвернется оказия посмотреть на checkinstall в действии, но вроде пока не надо.
Bolverk добавил в 26.10.2004 14:04
Про checkinstall я кстати узнал тут, так что спасибо.
Спасибо сказали:

boot
Сообщения: 289

Re: Clamav в ALtLinux 2.4

Сообщение boot » 26.10.2004 22:32

Я вот все жду когда подвернется оказия посмотреть на checkinstall в действии, но вроде пока не надо.
Bolverk добавил в 12:04
Про checkinstall я кстати узнал тут, так что спасибо.

checkinstall - супер прога!Я сам раньше не понимал удобства её использования,а сейчас не могу без неё,ленивый я каждый раз шариться по винту в поисках частей ненужной проги :)
Спасибо сказали: